<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: autoloader.php
| Author: PHP-Fusion Development Team
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
spl_autoload_register( function( $className ) {

    $autoload_register_paths = [
        'PHPFusion\\TLine\\TLineSql'      => TMLN_PATH . 'classes/sqlrequest.php',
        'PHPFusion\\TLine\\TLineServer'   => TMLN_PATH . 'classes/server.php',
        'PHPFusion\\TLine\\TimeLine'      => TMLN_PATH . 'classes/timeline.php',
        'PHPFusion\\TLine\\TLineAdmin'    => TMLN_PATH . 'classes/admin_timeline.php',
        'PHPFusion\\TLine\\TLineSettings' => TMLN_PATH . 'classes/admin_settings.php'
        /*'PHPFusion\\HreQ\\HreQRequest'      => HREQUEST_PATH . 'classes/request.php',
        'PHPFusion\\HreQ\\HreQSubmit'       => HREQUEST_PATH . 'classes/question_submit.php',
        'PHPFusion\\HreQ\\OpenGraphRequest' => HREQUEST_PATH . 'classes/OpenGraphRequest.php',
        'PHPFusion\\HreQ\\HreQPanel'        => HREQUEST_PATH . 'classes/panel.php',
        'PHPFusion\\FhCal\\CalHoliDays'   => FCAL_PATH . 'classes/admin_days.php',*/
    ];

    if ( isset( $autoload_register_paths[$className] )) {
        $fullPath = $autoload_register_paths[$className];
        if ( is_file( $fullPath ) ) {
            require_once $fullPath;
        }
    }
});